# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "chef-server-api"
  s.version = "10.12.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Opscode"]
  s.date = "2012-06-18"
  s.description = "A systems integration framework, built to bring the benefits of configuration management to your entire infrastructure."
  s.email = "chef@opscode.com"
  s.executables = ["chef-server"]
  s.extra_rdoc_files = ["README.rdoc", "LICENSE", "config.ru", "development.ru"]
  s.files = ["LICENSE", "README.rdoc", "Rakefile", "config/init.rb", "config/router.rb", "config/rack.rb", "config/environments/development.rb", "lib/chef-server-api/version.rb", "lib/chef-server-api.rb", "spec/unit/sandbox_file_spec.rb", "spec/unit/nodes_controller_environments_spec.rb", "spec/unit/environments_controller_spec.rb", "spec/unit/cookbooks_controller_spec.rb", "spec/unit/nodes_controller_spec.rb", "spec/spec_helper.rb", "spec/spec.opts", "spec/spec_model_helper.rb", "app/views/layout/application.html.erb", "app/views/main/index.html.erb", "app/views/exceptions/not_found.html.erb", "app/views/exceptions/bad_request.json.erb", "app/views/exceptions/internal_server_error.html.erb", "app/views/exceptions/standard_error.html.erb", "app/views/exceptions/not_acceptable.html.haml", "app/controllers/search.rb", "app/controllers/exceptions.rb", "app/controllers/nodes.rb", "app/controllers/application.rb", "app/controllers/data_item.rb", "app/controllers/main.rb", "app/controllers/roles.rb", "app/controllers/users.rb", "app/controllers/clients.rb", "app/controllers/sandboxes.rb", "app/controllers/environments.rb", "app/controllers/data_bags.rb", "app/controllers/cookbooks.rb", "app/helpers/tarball_helper.rb", "app/helpers/cookbook_version_helper.rb", "app/models/sandbox_file.rb", "public/images/avatar.png", "public/images/indicator.gif", "public/images/merb.jpg", "public/stylesheets/base.css", "public/stylesheets/chef.css", "public/stylesheets/themes/default/style.css", "public/stylesheets/themes/kathleene/style.css", "public/stylesheets/themes/djime-cerulean/style.css", "public/stylesheets/themes/blue/style.css", "public/stylesheets/themes/bec-green/style.css", "public/stylesheets/themes/reidb-greenish/style.css", "public/stylesheets/themes/orange/style.css", "public/stylesheets/themes/bec/style.css", "bin/chef-server", "config.ru", "development.ru"]
  s.homepage = "http://wiki.opscode.com/display/chef"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.8.23"
  s.summary = "A systems integration framework, built to bring the benefits of configuration management to your entire infrastructure."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<merb-core>, ["~> 1.1.0"])
      s.add_runtime_dependency(%q<merb-assets>, ["~> 1.1.0"])
      s.add_runtime_dependency(%q<merb-helpers>, ["~> 1.1.0"])
      s.add_runtime_dependency(%q<merb-param-protection>, ["~> 1.1.0"])
      s.add_runtime_dependency(%q<mixlib-authentication>, [">= 1.1.3"])
      s.add_runtime_dependency(%q<dep_selector>, [">= 0.0.3"])
      s.add_runtime_dependency(%q<uuidtools>, ["~> 2.1.1"])
      s.add_runtime_dependency(%q<thin>, [">= 0"])
    else
      s.add_dependency(%q<merb-core>, ["~> 1.1.0"])
      s.add_dependency(%q<merb-assets>, ["~> 1.1.0"])
      s.add_dependency(%q<merb-helpers>, ["~> 1.1.0"])
      s.add_dependency(%q<merb-param-protection>, ["~> 1.1.0"])
      s.add_dependency(%q<mixlib-authentication>, [">= 1.1.3"])
      s.add_dependency(%q<dep_selector>, [">= 0.0.3"])
      s.add_dependency(%q<uuidtools>, ["~> 2.1.1"])
      s.add_dependency(%q<thin>, [">= 0"])
    end
  else
    s.add_dependency(%q<merb-core>, ["~> 1.1.0"])
    s.add_dependency(%q<merb-assets>, ["~> 1.1.0"])
    s.add_dependency(%q<merb-helpers>, ["~> 1.1.0"])
    s.add_dependency(%q<merb-param-protection>, ["~> 1.1.0"])
    s.add_dependency(%q<mixlib-authentication>, [">= 1.1.3"])
    s.add_dependency(%q<dep_selector>, [">= 0.0.3"])
    s.add_dependency(%q<uuidtools>, ["~> 2.1.1"])
    s.add_dependency(%q<thin>, [">= 0"])
  end
end
